Bug 4444 - Centralize Code Handling Perl Dependencies
Summary: Centralize Code Handling Perl Dependencies
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: rel_3_2
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-03 07:55 UTC by Chris Nighswonger
Modified: 2010-06-03 16:28 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[1/5] Adds C4::Installer::PerlModules and C4::Installer::PerlDependencies (23.18 KB, patch)
2010-05-16 01:28 UTC, Chris Cormack
Details | Diff | Splinter Review
[1/5] Ports Makefile.PL to new modules (7.88 KB, patch)
2010-05-16 01:28 UTC, Chris Cormack
Details | Diff | Splinter Review
[2/5] Ports Makefile.PL to new modules (7.88 KB, patch)
2010-05-16 01:29 UTC, Chris Cormack
Details | Diff | Splinter Review
[3/5] Ports about.pl to new modules (6.52 KB, patch)
2010-05-16 01:30 UTC, Chris Cormack
Details | Diff | Splinter Review
[4/5] Ports installer/install.pl to new modules (9.55 KB, patch)
2010-05-16 01:31 UTC, Chris Cormack
Details | Diff | Splinter Review
[5/5] Adds koha_perl_deps.pl to check deps from a cli (4.86 KB, patch)
2010-05-16 01:32 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:15 UTC


---- Reported by cnighswonger@foundations.edu 2010-05-03 19:55:05 ----

This work will centralize the code handling various dependency lists and checks so that dependencies are added in a single C4 module: C4::Installer::PerlModules.

This will also allow for doing easy dependency checks from the command line as well as checking from other scripts like updatedatabase.pl when adding dependencies.



---- Additional Comments From cnighswonger@foundations.edu 2010-05-16 01:28:12 ----

Created an attachment
[1/5] Adds C4::Installer::PerlModules and C4::Installer::PerlDependencies





---- Additional Comments From cnighswonger@foundations.edu 2010-05-16 01:28:56 ----

Created an attachment
[1/5] Ports Makefile.PL to new modules





---- Additional Comments From cnighswonger@foundations.edu 2010-05-16 01:29:03 ----

Created an attachment
[2/5] Ports Makefile.PL to new modules





---- Additional Comments From cnighswonger@foundations.edu 2010-05-16 01:30:28 ----

Created an attachment
[3/5] Ports about.pl to new modules





---- Additional Comments From cnighswonger@foundations.edu 2010-05-16 01:31:06 ----

Created an attachment
[4/5] Ports installer/install.pl to new modules





---- Additional Comments From cnighswonger@foundations.edu 2010-05-16 01:32:47 ----

Created an attachment
[5/5] Adds koha_perl_deps.pl to check deps from a cli





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4444 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4444
Imported an attachment (id=2111)
Imported an attachment (id=2112)
Imported an attachment (id=2113)
Imported an attachment (id=2114)
Imported an attachment (id=2115)
Imported an attachment (id=2116)

Actual time not defined. Setting to 0.0
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was chris.nighswonger@gmail.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2111 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2112 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2113 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2114 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2115 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2116 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.